Index: bsd.port.mk
===================================================================
RCS file: /home/ncvs/ports/Mk/bsd.port.mk,v
retrieving revision 1.439
diff -u -r1.439 bsd.port.mk
--- bsd.port.mk	12 Feb 2003 05:15:03 -0000	1.439
+++ bsd.port.mk	15 Feb 2003 11:33:23 -0000
@@ -1317,6 +1316,23 @@
 FETCH_CMD?=		/usr/bin/ftp
 .endif
 
+.if defined(RANDOMIZE_MASTER_SITES)
+.if exists(/usr/games/random)
+RANDOM_CMD?=	/usr/games/random
+RANDOM_ARGS?=	"-w -f -"
+.if ${OSVERSION} > 500100
+_RANDOMIZE_SITES=	" |${RANDOM_CMD} ${RANDOM_ARGS}"
+.else
+_RANDOMIZE_SITES=	''
+.endif
+.if ${OSVERSION} > 480000 && ${OSVERSION} < 500000
+_RANDOMIZE_SITES=	" |${RANDOM_CMD} ${RANDOM_ARGS}"
+.else
+_RANDOMIZE_SITES=	''
+.endif
+.endif
+.endif
+
 TOUCH?=			/usr/bin/touch
 TOUCH_FLAGS?=	-f
 
@@ -2403,7 +2419,7 @@
 			else \
 				SORTED_MASTER_SITES_CMD_TMP="${SORTED_MASTER_SITES_DEFAULT_CMD}" ; \
 			fi ; \
-			for site in `eval $$SORTED_MASTER_SITES_CMD_TMP`; do \
+			for site in `eval $$SORTED_MASTER_SITES_CMD_TMP ${_RANDOMIZE_SITES}`; do \
 			    ${ECHO_MSG} ">> Attempting to fetch from $${site}."; \
 				DIR=${DIST_SUBDIR}; \
 				CKSIZE=`${GREP} "^SIZE ($${DIR:+$$DIR/}$$file)" ${MD5_FILE} | ${AWK} '{print $$4}'`; \
@@ -3157,7 +3173,7 @@
 			else \
 				SORTED_MASTER_SITES_CMD_TMP="${SORTED_MASTER_SITES_DEFAULT_CMD}" ; \
 			fi ; \
-			for site in `eval $$SORTED_MASTER_SITES_CMD_TMP`; do \
+			for site in `eval $$SORTED_MASTER_SITES_CMD_TMP ${_RANDOMIZE_SITES}`; do \
 				DIR=${DIST_SUBDIR}; \
 				CKSIZE=`${GREP} "^SIZE ($${DIR:+$$DIR/}$$file)" ${MD5_FILE} | ${AWK} '{print $$4}'`; \
 				case $${file} in \
@@ -3189,7 +3205,7 @@
 			else \
 				SORTED_PATCH_SITES_CMD_TMP="${SORTED_PATCH_SITES_DEFAULT_CMD}" ; \
 			fi ; \
-			for site in `eval $$SORTED_PATCH_SITES_CMD_TMP`; do \
+			for site in `eval $$SORTED_PATCH_SITES_CMD_TMP ${_RANDOMIZE_SITES}`; do \
 				DIR=${DIST_SUBDIR}; \
 				CKSIZE=`${GREP} "^SIZE ($${DIR:+$$DIR/}$$file)" ${MD5_FILE} | ${AWK} '{print $$4}'`; \
 				case $${file} in \
